Skip to main content

Object Permissions

View as Markdown

Get GA

GET /api/2.0/permissions/{request_object_type}/{request_object_id}

Gets the permissions of an object. Objects can inherit permissions from their parent objects or root object.

API scopes: access-management

Parameters

request_object_typestringpath

The type of the request object. Can be one of the following: alerts, alertsv2, authorization, clusters, cluster-policies, dashboards, database-projects, dbsql-dashboards, directories, experiments, files, genie, instance-pools, jobs, knowledge-assistants, notebooks, pipelines, queries, registered-models, repos, serving-endpoints, supervisor-agents, vector-search-endpoints, or warehouses.

request_object_idstringpath

The id of the request object.

Response

object_idstring
object_typestring
access_control_listarray of object
Show child attributesHide child attributes
user_namestringRequired

name of the user

group_namestringRequired

name of the group

service_principal_namestringRequired

Name of the service principal.

display_namestring

Display name of the user or service principal.

all_permissionsarray of object

All permissions.

Show child attributesHide child attributes
permission_levelstring

Values: CAN_MANAGE, CAN_RESTART, CAN_ATTACH_TO, IS_OWNER, CAN_MANAGE_RUN, CAN_VIEW, CAN_READ, CAN_RUN, CAN_EDIT, CAN_USE, CAN_MANAGE_STAGING_VERSIONS, CAN_MANAGE_PRODUCTION_VERSIONS, CAN_EDIT_METADATA, CAN_VIEW_METADATA, CAN_BIND, CAN_QUERY, CAN_MONITOR, CAN_CREATE

inheritedboolean
inherited_from_objectarray of string

Update GA

PUT /api/2.0/permissions/{request_object_type}/{request_object_id}

Sets permissions on an object, replacing existing permissions if they exist. Deletes all direct permissions if none are specified. Objects can inherit permissions from their parent objects or root object.

API scopes: access-management

Parameters

request_object_typestringpath

The type of the request object. Can be one of the following: alerts, alertsv2, authorization, clusters, cluster-policies, dashboards, database-projects, dbsql-dashboards, directories, experiments, files, genie, instance-pools, jobs, knowledge-assistants, notebooks, pipelines, queries, registered-models, repos, serving-endpoints, supervisor-agents, vector-search-endpoints, or warehouses.

request_object_idstringpath

The id of the request object.

Request body

access_control_listarray of object
Show child attributesHide child attributes
user_namestringRequired

name of the user

group_namestringRequired

name of the group

service_principal_namestringRequired

application ID of a service principal

permission_levelstring

Values: CAN_MANAGE, CAN_RESTART, CAN_ATTACH_TO, IS_OWNER, CAN_MANAGE_RUN, CAN_VIEW, CAN_READ, CAN_RUN, CAN_EDIT, CAN_USE, CAN_MANAGE_STAGING_VERSIONS, CAN_MANAGE_PRODUCTION_VERSIONS, CAN_EDIT_METADATA, CAN_VIEW_METADATA, CAN_BIND, CAN_QUERY, CAN_MONITOR, CAN_CREATE

Response

object_idstring
object_typestring
access_control_listarray of object
Show child attributesHide child attributes
user_namestringRequired

name of the user

group_namestringRequired

name of the group

service_principal_namestringRequired

Name of the service principal.

display_namestring

Display name of the user or service principal.

all_permissionsarray of object

All permissions.

Show child attributesHide child attributes
permission_levelstring

Values: CAN_MANAGE, CAN_RESTART, CAN_ATTACH_TO, IS_OWNER, CAN_MANAGE_RUN, CAN_VIEW, CAN_READ, CAN_RUN, CAN_EDIT, CAN_USE, CAN_MANAGE_STAGING_VERSIONS, CAN_MANAGE_PRODUCTION_VERSIONS, CAN_EDIT_METADATA, CAN_VIEW_METADATA, CAN_BIND, CAN_QUERY, CAN_MONITOR, CAN_CREATE

inheritedboolean
inherited_from_objectarray of string